package com.nisum.mytime.service;

import java.util.HashMap;
import java.util.List;
import java.util.Set;

import org.springframework.stereotype.Service;

import com.mongodb.WriteResult;
import com.nisum.mytime.exception.handler.MyTimeException;
import com.nisum.mytime.model.Domain;

/**
 * @author Vijay
 *
 */
@Service
public interface IDomainService {

	boolean isDomainExists(Domain domainReq);

	Domain create(Domain domain) throws MyTimeException;

	// List<HashMap<Object,Object>> getAllDomains() throws MyTimeException;

	Domain update(Domain domain) throws MyTimeException;

	WriteResult delete(String id) throws MyTimeException;

	List<Domain> getDomainsList() throws MyTimeException;
	
	Set<String> accountsAssignedToDeliveryLead(String empId) throws MyTimeException;
	
	 List<Domain> getDomainsUnderAccount(String accountId)throws MyTimeException;
}
